import { TemplateRef, ViewContainerRef } from '@angular/core';
import { FeatureFlagsService } from './feature-flags.service';
import { FeatureFlag } from '../types';
import * as i0 from "@angular/core";
export declare class ShowIfFeatureFlagDirective<F = FeatureFlag> {
    private featureName;
    private hasView;
    private elseTemplateRef;
    set ifFeatureFlag(featureFlag: F);
    set ifFeatureFlagElse(templateRef: TemplateRef<any> | null);
    constructor(featureFlagService: FeatureFlagsService<F>, templateRef: TemplateRef<any>, viewContainer: ViewContainerRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<ShowIfFeatureFlagDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ShowIfFeatureFlagDirective<any>, "[ifFeatureFlag]", never, { "ifFeatureFlag": { "alias": "ifFeatureFlag"; "required": false; }; "ifFeatureFlagElse": { "alias": "ifFeatureFlagElse"; "required": false; }; }, {}, never, never, true, never>;
}
