import { ElementRef, Renderer2 } from "@angular/core";
import { FeatureFlagsService } from "./feature-flags.service";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class FeatureFlagClassDirective<F = string> {
    private _ngEl;
    private _renderer;
    classObservable: BehaviorSubject<{
        toggle: F;
        class: F;
    }[]>;
    constructor(_ngEl: ElementRef, _renderer: Renderer2, featureFlagService: FeatureFlagsService<F>);
    set klass(value: string);
    set ffClass(value: {
        [klass: string]: any;
    } | null | undefined);
    private toggleClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeatureFlagClassDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FeatureFlagClassDirective<any>, "[ffClass]", never, { "klass": { "alias": "class"; "required": false; }; "ffClass": { "alias": "ffClass"; "required": false; }; }, {}, never, never, true, never>;
}
