import { TemplateRef, ViewContainerRef } from '@angular/core';
import { FeatureFlagsService } from './feature-flags.service';
import { FeatureFlag } from '../types';
import * as i0 from "@angular/core";
export declare class ShowIfNotFeatureFlagDirective<F = FeatureFlag> {
    private featureName;
    set ifNotFeatureFlag(featureFlag: F);
    private hasView;
    constructor(featureFlagService: FeatureFlagsService<F>, templateRef: TemplateRef<any>, viewContainer: ViewContainerRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<ShowIfNotFeatureFlagDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ShowIfNotFeatureFlagDirective<any>, "[ifNotFeatureFlag]", never, { "ifNotFeatureFlag": { "alias": "ifNotFeatureFlag"; "required": false; }; }, {}, never, never, true, never>;
}
