import { Observable } from "rxjs";
import { FeatureToggle, FeatureToggleName } from "../types";
export declare class FeatureToggleStore<F extends FeatureToggle = FeatureToggle<string>> {
    private featureToggles;
    featureToggles$: Observable<F[]>;
    toggle(feature: FeatureToggleName | F, state?: boolean | undefined): void;
    injectToggle(featureToggle: F): void;
    withdrawToggle(feature: FeatureToggleName | F): void;
    private findToggle;
}
