import { Observable } from "rxjs";
import { FeatureToggle, FeatureToggleName } from "../types";
import { FeatureToggleStore } from "./feature-toggle-store";
import * as i0 from "@angular/core";
export declare class FeatureToggleService<F extends FeatureToggle = FeatureToggle<string>> {
    private featureToggleStore;
    featureToggles$: Observable<F[]>;
    constructor(featureToggleStore: FeatureToggleStore<F>);
    toggleFeature(feature: FeatureToggleName | F): void;
    enableToggle(feature: FeatureToggleName | F): void;
    disableToggle(feature: FeatureToggleName | F): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeatureToggleService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FeatureToggleService<any>>;
}
